Bug 9660 - OpenLibrary covers are too small on OPAC search results
Summary: OpenLibrary covers are too small on OPAC search results
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-19 03:23 UTC by Mason James
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9660 - OpenLibrary covers are too small on OPAC search results (1.12 KB, patch)
2013-02-19 03:26 UTC, Mason James
Details | Diff | Splinter Review
before patch (41.28 KB, image/png)
2013-02-19 03:30 UTC, Mason James
Details
after patch (49.69 KB, image/png)
2013-02-19 03:30 UTC, Mason James
Details
Signed-off patch (1.36 KB, patch)
2013-02-19 06:27 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Patch (1.51 KB, patch)
2013-03-26 22:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2013-02-19 03:23:42 UTC

    
Comment 1 Mason James 2013-02-19 03:26:15 UTC Comment hidden (obsolete)
Comment 2 Mason James 2013-02-19 03:30:22 UTC
Created attachment 15512 [details]
before patch

before patch
Comment 3 Mason James 2013-02-19 03:30:59 UTC
Created attachment 15513 [details]
after patch
Comment 4 Mason James 2013-02-19 03:35:11 UTC
a pretty easy patch to test...

1/ turn on 'OpenLibraryCovers' syspref, (also consider turning off 'OPACAmazonCoverImages' and 'GoogleJackets' sysprefs, so you dont confuse yourself :) )

2/ search OPAC for a keyword, notice a small openlibrary cover image

3/ apply patch

4/ repeat step 2 - now notice a bigger openlibrary cover image
Comment 5 Frédéric Demians 2013-02-19 06:27:32 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-03-26 22:32:15 UTC
Created attachment 16911 [details] [review]
[PASSED QA] Patch

Attaching patch manually, as git bz gave me an error:
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 181: ordinal not in range(128)
Comment 7 Jared Camins-Esakov 2013-03-30 01:49:47 UTC
This patch (and a follow-up for CCSR) has been pushed to master.
Comment 8 Chris Cormack 2013-03-30 07:19:28 UTC
Pushed to 3.10.x will be in 3.10.5